<div class="container form-container">
    <form [formGroup]="jobForm" (ngSubmit)="jobSubmit()" #f="ngForm">
        <div class="form-group">
            <label for="username"> Username</label>
            <input  formControlName="username"  id="username" type="text" class="form-control" >
            <div *ngIf="username.touched && username.invalid">
                <div *ngIf="username.errors.required">A username is Required</div>
                <div *ngIf="username.errors.minlength">username must be at least {{username.errors.minlength.requiredLength}}</div>
                <div *ngIf="username.errors.cannotContainSpace">can not contain space in Username</div>
            </div>
            
        </div>
        <div class="form-group">
            <label for="jobTitle"> job Title</label>
            <select formControlName="jobTitle" id="jobTitle" class="form-control">
                <option value="webDeveloper">Web developer</option>
                <option value="SEOman">Seo expert</option>
                <option value="DataSci"> Data expert</option>
                <option value="janitor">janitor</option>
              </select>
        </div>
        <button type="submit"  class="btn btn-primary">sign up!</button>
    </form>
    <!-- what user added  -->
    <!-- <div *ngIf="userInputs">
        <p>{{userInputs | json}}</p>
    </div> -->
    <!-- what server responsed -->
     <pre> the server response is :  
        {{memberJsonHolder}}
    </pre> 

    <!-- self training  -->
    
    <!-- End Self Training -->
</div>


